<?php

define('_IN_JOHNCMS', 1); // указываем что файл относится к ДжонЦМС
require_once('../incfiles/core.php'); // инклюдим ядро двига
require_once('../incfiles/head.php'); // инклюдим шапку

function get_contents($url) { // функция получения кода сайта
    $curl = curl_init(); // стартуем сеанс cURL

    curl_setopt($curl, CURLOPT_URL, $url); // указываем параметр - ссылку на страницу
    curl_setopt($curl, CURLOPT_HEADER, 0); // указываем параметр - отключение заголовков
    curl_setopt($curl, CURLOPT_RETURNTRANSFER, 1); // указываем параметр - взапись кода страницы в переменную

    curl_setopt($curl, CURLOPT_CONNECTTIMEOUT, 30); // не обязательный параметр - обрываем сеанс если через 30 секунд не достучались до страницы
    curl_setopt($curl, CURLOPT_USERAGENT, 'Opera/9.80 (Windows NT 6.1) Presto/2.12.388 Version/12.15'); // не обязательный параметр - устанавливаем юзер-агент
 
    $data = curl_exec($curl); // заносим код страницы в переменную
    curl_close($curl); // закрываем сеанс
   
    return $data; // отдаём код страницы
    }

function title($var) { // функция получения названия записи      
    preg_match('/<title>(.*?)<\/title>/is', $var, $title); // вырезаем название записи из титла
$titles = str_replace('&quot;', '"', $title['1']); // обрабатываем кавычки
return $titles; // отдаём название
    }
function text($var) { // функция получения текста записи
    preg_match('/<div class=\"list1\">(.*?)</div>/is', $var, $text); // вырезаем текст записи
$texts = preg_replace('/<img(.*?)\/>/si','',$text['1']); // вырезаем из текста картинки
$texts = preg_replace('/<a(.*?)<\/a>/si','',$texts); // вырезаем из текста ссылки
$texts = str_replace('&quot;', '"', $texts); // обрабатываем кавчки
$texts = strip_tags($texts); // вырезаем из текста все хтмл теги
return $texts; // отдаём тест записи
    }

$array = array();    
for ($i = 24000; $i < 24107; $i++) { // создаём цикл, 1 - ай-ди первой записи а 178 ай-ди последней увел. на единицу
$file = get_contents('http://quvnoq.com/library/index.php?id='.$i.''); // получаем код страницы с записью

$title = title($file); // получаем название
$text = text($file); // получаем текст

if ($title && $text) {
$array[] = array(1, time(), 'bk', 'Guccifer', 0, 1, 1, "'" . mysql_real_escape_string(mb_substr(trim($title), 0, 100)) . "'", "'" . mysql_real_escape_string(mb_substr(trim($text), 0, 100)) . "'", "'" . mysql_real_escape_string($text) . "'");
echo 'Пост '.$i.' - Готово!
'; // выводим результат 
} else { // если нет названия и текста записи
#echo 'Пост '.$i.' - Eror!
'; // выводим ошибку
}
}


function mega_implode($array) {
return '(' . implode(', ' , $array) . ')';    
}
mysql_query("insert into `lib` 
(`refid`, `time`, `type`, `avtor`, `ip`, `soft`, `moder`, `name`, `announce`, `text`)
values
" . implode(', ', array_map('mega_implode', $array)) . ")");
require_once('../incfiles/end.php'); // инклюдим ноги 

?>